logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Apache 2.0.61 with OpenSSL compiling failure

 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
dstusynski



Joined: 19 Oct 2007
Posts: 4

PostPosted: Fri 19 Oct '07 16:56    Post subject: Apache 2.0.61 with OpenSSL compiling failure Reply with quote

I'm compiling Apache 2.0.61 with OpenSSL version e (I'll move to g shortly) and the build fails. OpenSSL compiles and configures fine and running <openssl_src>ms\test yields 0 errors and a fine handshake.

The Apache compile fails with:
cd modules\ssl
NMAKE -f mod_ssl.mak CFG="mod_ssl - Win32 Release" RECURSE=0
.\Release\mod_ssl.so
Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.
if not exist ".\Release/" mkdir ".\Release"
NMAKE : fatal error U1073: don't know how to make
'"..\..\srclib\openssl\inc32\openssl\fips.h"'

fips.h doesn't exist in openssl e.

Has anyone seen or experienced this problem with 2.0.61?

The previous Apache 2.0.59 didn't have this build error so I'm wondering if Apache introduced (consciously or otherwise) a new build dependancy.

Moving the mod_ssl.dep (where the fips.h include is) out of the way resolves the issue and appears to yield a functioning Apache with SSL support (from my testing).

I'm more or less curious if anyone else has experienced this...?
Back to top
tdonovan
Moderator


Joined: 17 Dec 2005
Posts: 610
Location: Milford, MA, USA

PostPosted: Fri 19 Oct '07 19:54    Post subject: Reply with quote

Apache 2.0 is intended to be used with OpenSSL 0.9.7. The current release is 0.9.7m.

OpenSSL 0.9.7 provides the file inc32\openssl\fips.h

Apache 2.2 is intended to be used with OpenSSL 0.9.8. OpenSSL 0.9.8 does not have any fips.h file.

Maybe you were trying to build Apache 2.0.61 with OpenSSL 0.9.8?

-tom-
Back to top
dstusynski



Joined: 19 Oct 2007
Posts: 4

PostPosted: Fri 19 Oct '07 20:12    Post subject: Reply with quote

Tom, thanks for the reply.

Yes, building with openssl-0.9.8e. Incidentally, we've always built with the latest releases of OpenSSL (version 0.9.8x) for Apache 2.0 streams. Building 2.0.59 with 0.9.8e didn't have this issue.

In any case, Bill Rowe kindly responded to my subsequent emails and it does appear that moving the files as I did is fine and yields a working ssl built with 0.9.8e and 2.0.61.

Dan
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2169
Location: Sun Diego, USA

PostPosted: Sat 20 Oct '07 1:02    Post subject: Reply with quote

All lines with the word "fips" in it must have the lines removed. "Fips" is not included in the 0.9.8 tree of OpenSSL.

These files are ...

support\abs.dep Lines 50 & 51

modules\ssl\mod_ssl.dep

Lines 80,81,195,196,310,311,425,426,540,541655,656,770,771,855,856,1000,1001,1015,1016

1230,1231,1346,1347,1461,1462,1576,1577,1691,1692,1807,1808,1922,1923,2037,2038,

2152,2153,2268,2269,2383,2384,2498 and 2499.

These line numbers are for Apache 2.0.61 source, they may change in future but should be close.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads
Page 1 of 1